Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046014
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2021-03-08 09:362021-04-12 12:12
ReporterucarrionView Statuspublic 
Assigned Topsanjuan 
PriorityurgentResolutionno change requiredFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046014: Unexpected 'Is Portuguese' field on the customer creation popup

DescriptionThe Portuguese Localization modules (AKA SAF-T) could be installed into a multiclient environment. In the Webpos customer creation popup, there's a check 'Is Portuguese' to be used for Portuguese clients that is also dislayed in other non-PT clients in case of multiclient environment. It has no sense to be displayed in case the store is not Portuguese.
Steps To Reproduce-Into a multiclient enviornment, install the SAFT module
-Login a till into a store that has not a Portuguese configuration
-Create a new customer in Webpos
-Check that the 'Is Portuguese' flag is displayed and it has no sense
Proposed SolutionTo make this field appear only if the 'Portuguese Configuration' flag is marked at Organization level.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126917)
lmonreal (developer)
2021-03-25 13:26

Increasing priority as Go Live of the customer affecting by this issue is close.
(0127072)
marvintm (developer)
2021-03-31 13:47

This issue is related to the Portuguese Localization modules, which at this point are not maintained by Product. You need to discuss internally so that the issue is explained to the partner, and fixed by them.
(0127100)
psanjuan (manager)
2021-04-06 10:13
edited on: 2021-04-06 10:40

Reported to the partner
http://practicsbs.zendesk.com/hc/requests/7959 [^]

(0127102)
psanjuan (manager)
2021-04-06 10:33

This issue needs to be fixed in the SAFT code.
(0127103)
psanjuan (manager)
2021-04-06 10:35

A├▒adir en

https://gitlab.com/obcustomers/DKTPT/com.practicsbs.saftpt.retail/-/blob/master/web/com.practicsbs.saftpt.retail/js/components/bp-addproperties.js#L59 [^]

un:
If (certificaci├│nactive) { show } else { hide }
(0127104)
guillermogil (manager)
2021-04-06 10:36
edited on: 2021-04-06 10:36

On initComponents of js/components/bp-addproperties.js

Should be needed to add something like:
if (certificationActive) { show } else { hide }

(0127230)
vmromanos (developer)
2021-04-12 12:12

Removed resolution time, as this issue will be fixed in the customization itself in the short term. We leave the bug open to implement this behavior in the next SAFT versions owned by OB.

- Issue History
Date Modified Username Field Change
2021-03-08 09:36 ucarrion New Issue
2021-03-08 09:36 ucarrion Assigned To => Retail
2021-03-08 09:36 ucarrion Triggers an Emergency Pack => No
2021-03-08 21:08 rqueralta Assigned To Retail => rqueralta
2021-03-08 21:09 rqueralta Status new => scheduled
2021-03-25 13:26 lmonreal Priority normal => urgent
2021-03-25 13:26 lmonreal Note Added: 0126917
2021-03-31 13:47 marvintm Review Assigned To => marvintm
2021-03-31 13:47 marvintm Note Added: 0127072
2021-03-31 13:47 marvintm Status scheduled => closed
2021-03-31 13:47 marvintm Resolution open => no change required
2021-04-06 10:13 psanjuan Note Added: 0127100
2021-04-06 10:33 psanjuan Note Added: 0127102
2021-04-06 10:33 psanjuan Status closed => new
2021-04-06 10:35 psanjuan Note Added: 0127103
2021-04-06 10:35 psanjuan Assigned To rqueralta => psanjuan
2021-04-06 10:36 guillermogil Note Added: 0127104
2021-04-06 10:36 guillermogil Note Edited: 0127104 View Revisions
2021-04-06 10:40 psanjuan Note Edited: 0127100 View Revisions
2021-04-12 12:12 vmromanos Note Added: 0127230


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker